package net.wanji.web.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.web.vo.specialService.SpecialServiceDetailVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 13:18
 */
@Data
@ApiModel(value = "UpdateSpecialServiceBO", description = "快速特勤-编辑特勤输入参数")
public class UpdateSpecialServiceBO {
    @ApiModelProperty(value = "特勤ID")
    Integer specialServiceId;
    @ApiModelProperty(value = "开始路口ID")
    String initCrossId;
    @ApiModelProperty(value = "结束路口ID")
    String finalCrossId;
    @ApiModelProperty(value = "路口列表")
    List<SpecialServiceDetailVO.CrossListElement> crossList;
}
