package net.wanji.web.controller;

import net.wanji.web.service.impl.CrossManageServiceImpl;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @author hanbing
 * @date 2023/01/04 16:10
 */
@RequestMapping("/control")
@RestController
public class FeignController {

    private final CrossManageServiceImpl crossManageServiceImpl;

    public FeignController(CrossManageServiceImpl crossManageServiceImpl) {
        this.crossManageServiceImpl = crossManageServiceImpl;
    }

    @PostMapping("/findPlanId")
    public Integer findPlanId(Date datetime, String dateStr, String crossId) {
        Integer planId = crossManageServiceImpl.findPlanId(datetime, dateStr, crossId);
        return planId;
    }
}
