package net.wanji.web.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/02/06 14:56
 */
@Data
@ApiModel(value = "区域路口实体", description = "区域路口实体")
public class TBaseAreaCross {
    @ApiModelProperty(name = "id", notes = "")
    private Integer id;
    @ApiModelProperty(name = "区域编号", notes = "")
    private Integer areaId;
    @ApiModelProperty(name = "路口编号", notes = "")
    private String crossId;
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date gmtCreate;
    @ApiModelProperty(name = "修改时间", notes = "")
    private Date gmtModified;
}
