package net.wanji.web.kafka;

/**
 * @author duanruiming
 * @date 2023/05/17 16:52
 */

import lombok.Data;

import java.util.List;

@Data
public class JNMatchResultMiniData {

    private String timeStamp;
    private String globalTimeStamp;
    private int participantNum;
    private List<E1FrameParticipant> e1FrameParticipant;
    private String orgCode;

    @Data
    public class E1FrameParticipant {
        private int id;
        private Roadnet roadnet;
        private int originalType;
        private int originalColor;
        private double longitude;
        private double latitude;
        private double altitude;
        private double speed;
        private double courseAngle;
        private String picLicense;
        private int licenseColor;
        private int baseLocation;
        private int waitingTime;
        private int stopNum;

        @Data
        public class Roadnet {
            private String laneId;
            private String rid;
            private String segmentId;
            private String crossId;
        }
    }

}
