package net.wanji.web.mapper;

import net.wanji.web.entity.TCrossControlHist;
import net.wanji.web.po.ControlHistPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;


/**
 * @author Kent HAN
 * @date 2022/10/27 14:25
 */
@Repository
public interface ControlHistMapper {
    List<ControlHistPO> selectByCrossId(@Param("crossId") String crossId, @Param("todayDate") Date todayDate);

    int insertOne(@Param("crossId") String crossId, @Param("type") Integer type, @Param("operationUser") String operationUser);

    TCrossControlHist selectRecentOne(@Param("crossId") String crossId);

    List<TCrossControlHist> selectRecentList();
}
