package net.wanji.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.web.entity.TBaseAreaCross;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/02/06 15:01
 */
@Repository
public interface TBaseAreaCrossMapper extends BaseMapper<TBaseAreaCross> {
    void deleteByAreaId(Integer areaId);
    void insertOne(String crossId, Integer areaId);

    void deleteByAreaIds(List<Integer> ids);

    List<String> selectCrossIdsByAreaId(Integer subAreaId);
}
