package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.VehicleTracePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/28 15:16
 */
@Repository
@DS("webService")
public interface VehicleTraceMapper {
    List<VehicleTracePO> selectByAdCode(@Param("adCode") String adCode, @Param("todayDate") Date todayDate);
}
