package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:16
 */
@Data
public class AllDeviceStatusPO {
    /**
     * 设备类型：1信号；2卡口；3地磁；4视频；5微波；6激光；7电警；8 MEC
     */
    @ApiModelProperty(name = "设备类型：1信号；2卡口；3地磁；4视频；5微波；6激光；7电警；8 MEC", notes = "")
    private Integer type;

    /**
     * 状态：0离线；1在线；2故障
     */
    @ApiModelProperty(name = "状态：0离线；1在线；2故障", notes = "")
    private Integer status;

    /**
     * 状态计数
     */
    @ApiModelProperty(name = "状态计数", notes = "")
    private Integer statusCount;
}
