package net.wanji.web.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 区域基础表
 * </p>
 *
 * @author wj
 * @since 2022-11-28
 */
@Data
@ApiModel(value = "树形区域目录实体", description = "树形区域目录实体")
public class AreaTreePO   {

    @ApiModelProperty(value = "行政区划代码")
    private Integer areaCode;

    @ApiModelProperty(value = "行政区划名称")
    private String areaName;

    @ApiModelProperty(value = "父行政区划代码")
    private Integer parentCode;

    @ApiModelProperty(value = "行政区级别")
    private Integer level;

    @ApiModelProperty(value = "子行政区划列表")
    private List<AreaTreePO> children;

}
