package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/8 14:35
 */
@Data
public class SpecialServiceCrossPO {
    @Id
    @ApiModelProperty(name = "主键",notes = "")
    private Integer id ;
    @ApiModelProperty(name = "特勤ID",notes = "")
    private Integer specialServiceId ;
    @ApiModelProperty(name = "分组名称",notes = "")
    private String groupName = "未分组路口";
    @ApiModelProperty(name = "分组序号",notes = "")
    private Integer groupSort = 0;
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    @ApiModelProperty(name = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer inDir ;
    @ApiModelProperty(name = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer outDir ;
    @ApiModelProperty(name = "路口顺序号",notes = "")
    private Integer sort ;
    @ApiModelProperty(name = "锁定状态：1锁定；0解锁",notes = "")
    private Integer status ;
    @ApiModelProperty(name = "自动解锁：1是；0否",notes = "")
    private Integer autoUnlock ;
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
