package net.wanji.web.po.scheme;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/1/11 17:27
 */
@Data
public class CrossAccompanyPhasePO {
    /** 主键 */
    @ApiModelProperty(name = "主键",notes = "")
    private Integer id ;
    /** 伴随相位ID */
    @ApiModelProperty(name = "伴随相位ID",notes = "")
    private Integer phaseId ;
    /** 母相位ID */
    @ApiModelProperty(name = "母相位ID",notes = "")
    private Integer superId ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
