package net.wanji.web.service;

import net.wanji.web.bo.*;
import net.wanji.web.vo.specialService.*;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:06
 */
public interface SpecialServiceService {
    void addOrUpdateSpecialService(AddSpecialServiceBO addSpecialServiceBO);

    List<ListSpecialServicesVO> listSpecialServices();

    void updateSpecialService(UpdateSpecialServiceBO updateSpecialServiceBO);

    void deleteSpecialService(Integer id);

    List<List<RouteElementVO>> specialServiceRoute(SpecialServiceRouteBO specialServiceRouteBO);

    void isValidPoint(IsValidPointBO isValidPointBO);

    SpecialServiceDetailVO specialServiceDetail(SpecialServiceIdBO specialServiceIdBO);

    void updateSpecialServiceDetail(UpdateSpecialServiceBO updateSpecialServiceBO);

    List<SpecialDirListVO> getInDirList(List<CrossIdBO> crossIdBOList);

    List<SpecialDirListVO> getOutDirList(List<CrossIdBO> crossIdBOList);

    void batchLock(BatchLockBO batchLockBO);

    GroupListVO groupList(SpecialServiceIdBO specialServiceIdBO);

    void updateGroup(GroupListVO groupListVO);

    void deleteGroup(GroupNameBO groupNameBO);

    void autoUnlock(GroupListVO groupListVO);
}
