package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "区域实体")
public class AreaTreeVO {
    @ApiModelProperty(value = "编号")
    private String Id;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "类型：1-区域；2-路口")
    private String type;
    @ApiModelProperty(value = "道路区域坐标")
    private String polylines;
    @ApiModelProperty(value = "其他区域坐标")
    private List<String> wktList;
    @ApiModelProperty(value = "路口经纬度")
    private String point;
    @ApiModelProperty(value = "子辖区")
    private List<AreaTreeVO> children;
}