package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.web.dto.SaveSchemeConfigDTO;

/**
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
@ApiModel(value = "PhaseListByTimeVO", description = "根据时间查询相位列表返回结果")
public class PhaseListByTimeVO {
    @ApiModelProperty(value = "开始时间结束时间", required = true)
    private String[] startEndTime;
    @ApiModelProperty(value = "相位列表", required = true)
    private SaveSchemeConfigDTO.PhaseScheme phaseScheme;
}
