package net.wanji.web.vo.signalEvaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:06
 */
@Data
@ApiModel(value = "FlowQueueOutVO", description = "查询流量、排队折线图返回值")
public class FlowQueueOutVO {
    @ApiModelProperty(value = "时间")
    List<String> time;

    @ApiModelProperty(value = "今日")
    double[] toDay;

    @ApiModelProperty(value = "昨日")
    double[] yesterday;

    @ApiModelProperty(value = "上周今日")
    double[] lastWeekDay;
}
