package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.web.dto.CrossIdNameDTO;

import java.util.Set;

/**
 * @author duanruiming
 * @date 2023/02/06 14:43
 */
@Data
@ApiModel(value = "区域列表实体", description = "区域列表实体")
public class AreaListVO {
    @ApiModelProperty(value = "区域路口编号列表")
    private Set<CrossIdNameDTO> crossInfos;

    @ApiModelProperty(value = "区域点列表")
    private Set<String> ployLines;

    @ApiModelProperty(value = "区域名称")
    private String areaName;
}
