package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2023/01/04 10:31
 */
@Data
@ApiModel(value = "CommonEventAlarmOutVo", description = "统一事件告警检测返回结果")
public class CommonEventAlarmOutVo {

    @ApiModelProperty(value = "事件类型：1：路口报警、2：事件报警、3：信号机故障")
    Integer eventType;

    @ApiModelProperty(value = "事件id")
    String eventId;

    @ApiModelProperty(value = "事件名称")
    String eventName;

    @ApiModelProperty(value = "事件描述")
    String eventDesc;

    @ApiModelProperty(value = "事件状态：路口报警：状态 0正常 1失衡 2拥堵 3溢出 4死锁；事件报警:1事故 2拥堵 3管制 4施工; 信号机故障：0正常 1检测器故障 2时钟故障 3电源故障 4驱动模块故障 5信号灯故障 6箱门开启 7方案错误 8绿冲突 9红全熄 10行人红熄 11通讯中断")
    String status;

    @ApiModelProperty(value = "发生时间")
    String startTime;

    @ApiModelProperty(value = "时长（单位：分钟）")
    Integer duration;

    @ApiModelProperty(value = "事件坐标：经度，纬度；经度，纬度...")
    String coordinate;
}
