package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:11
 */
@Data
@ApiModel(value = "ControlHistInVO", description = "查询信号控制状态输入参数")
public class ControlHistInVO {
    @ApiModelProperty(value = "路口ID，如：13FNK0C6790")
    String crossId;

    @ApiModelProperty(value = "当天时间，格式：yyyy-MM-dd HH:mm:ss，如：2022-10-27 17:21:23")
    String currentTime;
}
