package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/31 10:58
 */
@Data
@ApiModel(value = "GreenwaveCrossOutVO", description = "查询绿波监测-关联路口返回值")
public class GreenwaveCrossOutVO {
    @ApiModelProperty(value = "路口名称")
    String name;

    @ApiModelProperty(value = "经度")
    // @Pattern(regexp = "^(([1-13]\\d?)|(1[0-7]\\d))(\\.\\d{1,10})|180|0(\\.\\d{1,10})?$",message="经度不合法")
    Double longitude;

    // @Pattern(regexp = "^(([1-13]\\d?)|([1-8]\\d))(\\.\\d{1,10})|90|0(\\.\\d{1,10})?$",message="纬度不合法")
    @ApiModelProperty(value = "纬度")
    Double latitude;
}
