package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:11
 */
@Data
@ApiModel(value = "GreenwaveRealtimeInVO", description = "查询绿波监测输入参数")
public class GreenwaveRealtimeInVO {
    @ApiModelProperty(value = "城市代码，示例值：110000")
    String adCode;

    @ApiModelProperty(value = "当天时间，格式：yyyy-MM-dd HH:mm:ss，如：2022-10-28 17:21:23")
    String currentTime;
}
