package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:01
 */
@Data
@ApiModel(value = "GreenwaveRealtimeOutVO", description = "查询绿波监测返回值")
public class GreenwaveRealtimeOutVO {
    @ApiModelProperty(value = "ID")
    Integer id;

    @ApiModelProperty(value = "绿波名称")
    String greenwaveName;

    @ApiModelProperty(value = "行程时间（秒）")
    Integer trvalTime;

    @ApiModelProperty(value = "停车次数")
    Double stopNumber;

    @ApiModelProperty(value = "绿波带宽")
    Integer greenwaveWidth;

    @ApiModelProperty(value = "行程速度（km/h）")
    Double speed;

    @ApiModelProperty(value = "坐标")
    String wkt;
}
