package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/02/07 18:52
 */
@Data
@ApiModel(value = "辖区实体")
public class JurisdictionAreaTreeVO {
    @ApiModelProperty(value = "编号")
    private String Id;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "类型：1-辖区；2-信号机")
    private String type;
    @ApiModelProperty(value = "辖区：区域边界")
    private String polylines;
    @ApiModelProperty(value = "信号机：经纬度")
    private String point;
    @ApiModelProperty(value = "级别")
    private Integer level;
    @ApiModelProperty(value = "区域级别")
    private String parentCode;
    @ApiModelProperty(value = "信号机状态：0离线； 1在线；2故障")
    private Integer status;
    @ApiModelProperty(value = "子辖区")
    private List<JurisdictionAreaTreeVO> chlidren;
}
