package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2023/5/16 14:27
 */
@Data
@ApiModel(value = "RouteElementVO", description = "特勤路线列表元素")
public class RouteElementVO {
    @ApiModelProperty(value = "起点坐标")
    private String startLonLat;
    @ApiModelProperty(value = "起点路口ID")
    private String startId;
    @ApiModelProperty(value = "起点路口名称")
    private String startName;
    @ApiModelProperty(value = "终点坐标")
    private String endLonLat;
    @ApiModelProperty(value = "终点路口ID")
    private String endId;
    @ApiModelProperty(value = "终点路口名称")
    private String endName;
    @ApiModelProperty(value = "路况 1畅通；2缓行；3拥堵；4严重拥堵；5未知")
    private Integer status;
    @ApiModelProperty(value = "wkt")
    private String wkt;
}
