package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/9 10:13
 */
@Data
@ApiModel(value = "UpdateCrossInVO", description = "快速特勤-更新路口输入参数")
public class UpdateCrossInVO {
    @ApiModelProperty(value = "特勤ID")
    Integer specialServiceId;

    @ApiModelProperty(value = "路口ID")
    String crossId;

    @ApiModelProperty(value = "进口方向，如：北进口")
    String dirInAndOut;

    @ApiModelProperty(value = "顺序号")
    Integer sort;
}
