package net.wanji.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 方案下发-模式切换-中心控制-相位锁定输入参数
 *
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
public class CrossIdAndPhaseIdsDTO {
    @ApiModelProperty(value = "路口ID，如：c7e7b1f352dd4acab4a60088eb391cca", required = true)
    private String crossId;
    @ApiModelProperty(value = "相位ID列表", required = true)
    private List<Integer> phaseIds;
}
