package net.wanji.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 方案下发-强制方案输入参数
 *
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
public class SchemeIdDTO {
    @ApiModelProperty(value = "路口ID，如：c7e7b1f352dd4acab4a60088eb391cca", required = true)
    private String crossId;
    @ApiModelProperty(value = "方案ID", required = true)
    private Integer schemeId;
}
