package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.CrossDirTurnPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/9 8:55
 */
@Repository
@DS("webService")
public interface CrossDirTurnMapper {
    CrossDirTurnPO selectOneByInAndOutIds(@Param("startCrossInDirId") String startCrossInDirId,
                                          @Param("startCrossOutDirId") String startCrossOutDirId);

    List<String> crossInList(@Param("crossId") String crossId);
}
