package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.EventAlarmPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:25
 */
@Repository
@DS("webService")
public interface EventAlarmMapper {
    List<EventAlarmPO> selectByTodayTime(@Param("todayTime") Date todayTime);
}
