package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.FlowQueuePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:53
 */
@Repository
@DS("webService")
public interface FlowQueueMapper {
    List<FlowQueuePO> getDayFlowToday(@Param("adCode") String adCode,
                                      @Param("crossId") String crossId,
                                      @Param("currentTime") Date currentTime);

    List<FlowQueuePO> getDayFlowYesterday(@Param("adCode") String adCode,
                                          @Param("crossId") String crossId,
                                          @Param("currentTime") Date currentTime);

    List<FlowQueuePO> getDayFlowLastWeekDay(@Param("adCode") String adCode,
                                            @Param("crossId") String crossId,
                                            @Param("currentTime") Date currentTime);

    List<FlowQueuePO> getDayQueueToday(@Param("adCode") String adCode,
                                       @Param("crossId") String crossId,
                                       @Param("currentTime") Date currentTime);

    List<FlowQueuePO> getDayQueueYesterday(@Param("adCode") String adCode,
                                           @Param("crossId") String crossId,
                                           @Param("currentTime") Date currentTime);

    List<FlowQueuePO> getDayQueueLastWeekDay(@Param("adCode") String adCode,
                                             @Param("crossId") String crossId,
                                             @Param("currentTime") Date currentTime);
}
