package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.BaseAreaDataPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/26 16:28
 */
@Repository
@DS("webService")
public interface OptRecordsMapper {
    List<BaseAreaDataPO> selectByAdCodeAndTime(@Param("adCode") String adCode, @Param("adaptTime") Date adaptTime);
}
