package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:16
 */
@Data
public class ControlHistPO {
    /**
     * 时间
     */
    @ApiModelProperty(name = "时间", notes = "")
    private String controlTime;

    /**
     * 控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动
     */
    @ApiModelProperty(name = "控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动", notes = "")
    private Integer controlType;

    /**
     * 控制状态计数
     */
    @ApiModelProperty(name = "控制状态计数", notes = "")
    private Integer typeCount;
}
