package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/9 8:52
 */
@Data
public class CrossDirTurnPO {
    /** 开始路口方向编号 */
    @ApiModelProperty(name = "开始路口方向编号",notes = "")
    private String scrossdirid ;
    /** 结束路口方向编号 */
    @ApiModelProperty(name = "结束路口方向编号",notes = "")
    private String ecrossdirid ;
    /** 转向类型：l;左转 s直行 r右转 u掉头 */
    @ApiModelProperty(name = "转向类型：l",notes = "左转 s直行 r右转 u掉头")
    private String turntype ;
    /** 转向名称 */
    @ApiModelProperty(name = "转向名称",notes = "")
    private String name ;
    /** 路口编号 */
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossid ;
    /** 开始路段编号 */
    @ApiModelProperty(name = "开始路段编号",notes = "")
    private String sroadsegid ;
    /** 结束路段编号 */
    @ApiModelProperty(name = "结束路段编号",notes = "")
    private String eroadsegid ;
    /** 信号机方向编号 */
    @ApiModelProperty(name = "信号机方向编号",notes = "")
    private String sianaldirid ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
}
