package net.wanji.web.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wj
 * @date 2022/11/28 9:52:21
 */
@Data
@ApiModel(value = "PageResultVO", description = "分页返回结果")
public class PageResultPO<T> {

    @ApiModelProperty(value = "当前页")
    private Integer pageNum;

    @ApiModelProperty(value = "每页的数量")
    private Integer pageSize;

    @ApiModelProperty(value = "总数", required = false)
    private Integer total;

    @ApiModelProperty(value = "数据", required = false)
    private List<T> data;
}
