package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:16
 */
@Data
public class VideoDeviceInfoPO {
    /** 设备ID */
    @ApiModelProperty(name = "设备ID",notes = "")
    private Integer id;

    /** 设备编号 */
    @ApiModelProperty(name = "设备编号",notes = "")
    private String code;

    /** 设备名称 */
    @ApiModelProperty(name = "设备名称",notes = "")
    private String name;

    /** 设备类型：1信号；2卡口；3地磁；4视频；5微波；6雷达；7电警 */
    @ApiModelProperty(name = "设备类型：1信号；2卡口；3地磁；4视频；5微波；6雷达；7电警",notes = "")
    private Integer type;

    /** 状态：0离线；1在线 */
    @ApiModelProperty(name = "状态：0离线；1在线",notes = "")
    private Integer status;

    /** 安装位置（经纬度） */
    @ApiModelProperty(name = "安装位置（经纬度）",notes = "")
    private String location ;

    /** 安装时间 */
    @ApiModelProperty(name = "安装时间",notes = "")
    private Date installTime ;

    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;

    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;

}
