package net.wanji.web.po.scheme;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/1/3 9:12
 */
@Data
public class LaneSegmentPO {
    /** 车道段ID */
    @ApiModelProperty(name = "车道段ID",notes = "")
    private Integer id ;
    /** 车道段序号 */
    @ApiModelProperty(name = "车道段序号",notes = "")
    private Integer sort ;
    /** 车道ID */
    @ApiModelProperty(name = "车道ID",notes = "")
    private String laneId ;
    /** 交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5无交通流 */
    @ApiModelProperty(name = "交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5无交通流",notes = "")
    private Integer status ;
    /** 空间对象 */
    @ApiModelProperty(name = "空间对象",notes = "")
    private String wkt ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
