package net.wanji.web.service;

import net.wanji.databus.dao.entity.*;
import net.wanji.databus.po.BaseCrossInfoPO;
import net.wanji.databus.po.CrossBaseLaneInfoPO;
import net.wanji.databus.po.CrossTurnInfoPO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/13 20:33
 */
public interface BaseInfoService {

    List<BaseCrossInfoPO> crossInfoList();
    List<CrossBaseLaneInfoPO> laneInfoList();
    List<RidInfoEntity> ridInfoList();
    List<CrossTurnInfoPO> turnInfoList();
    List<GreenwaveInfoPO> greenInfoList();
    List<GreenwaveCrossPO> greenCrossInfoList();
    List<GreenwaveRidPO> greenRidInfoList();

    List<LinkInfoEntity> linkInfoList(String rid);
}
