package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "ListAreaVO", description = "区域列表")
public class ListAreaVO {
    @ApiModelProperty(value = "辖区列表")
    private List<AreaTreeVO> juriList;
    @ApiModelProperty(value = "道路列表")
    private List<AreaTreeVO> roadList;
    @ApiModelProperty(value = "子区列表")
    private List<AreaTreeVO> subAreaList;
}
