package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.databus.vo.CrossIdAndNameVO;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "SelectCrossesByStartEndVO", description = "点选路口")
public class SelectCrossesByStartEndVO {
    @ApiModelProperty(value = "坐标")
    private String wkt;
    @ApiModelProperty(value = "路口列表")
    List<CrossIdAndNameVO> crossIdAndNameVOList;
}
