package net.wanji.web.vo.signalEvaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/3 15:58
 */
@Data
@ApiModel(value = "FlowQueueInVO", description = "查询流量、排队折线图输入参数")
public class FlowQueueInVO {
    @ApiModelProperty(value = "城市代码，示例值：110000")
    String adCode;

    @ApiModelProperty(value = "路口ID，如：13FNK0C6790")
    String crossId;

    @ApiModelProperty(value = "当天时间，格式：yyyy-MM-dd HH:mm:ss，如：2022-11-03 20:10:00")
    String currentTime;

    @ApiModelProperty(value = "按日周月，1按日 2按周 3按月")
    Integer timeType;

    @ApiModelProperty(value = "流量或排队，1流量 2排队")
    Integer dataType;
}
