package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/27 9:41
 */
@Data
@ApiModel(value = "CrossAlarmOutVO", description = "查询路口报警返回值")
public class CrossAlarmOutVO {
    @ApiModelProperty(value = "路口名称")
    String crossName;

    @ApiModelProperty(value = "状态 0 正常 1 失衡  2 拥堵 3 溢出 4 死锁")
    String crossStatus;

    @ApiModelProperty(value = "发生时间")
    String startTime;

    @ApiModelProperty(value = "时长（单位：分钟）")
    Integer duration;

    @ApiModelProperty(value = "经度")
    Double longitude;

    @ApiModelProperty(value = "纬度")
    Double latitude;
}
