package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/31 10:52
 */
@Data
@ApiModel(value = "GreenwaveCrossInVO", description = "查询绿波监测-关联路口输入参数")
public class GreenwaveCrossInVO {
    @ApiModelProperty(value = "城市代码，示例值：110000")
    String adCode;

    @ApiModelProperty(value = "当天时间，格式：yyyy-MM-dd HH:mm:ss，如：2022-10-31 17:21:23")
    String currentTime;

    @ApiModelProperty(value = "绿波ID")
    Integer id;
}
