package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/26 16:19
 */
@Data
@ApiModel(value = "OptRecordsOutVO", description = "查询优化记录返回值")
public class OptRecordsOutVO {
    @ApiModelProperty(value = "优化次数")
    Integer optTimes;

    @ApiModelProperty(value = "速度")
    Integer speed;

    @ApiModelProperty(value = "交通指数列表")
    List<TrafficIndexVO> trafficIndexVOList;

    @Data
    public static class TrafficIndexVO {
        @ApiModelProperty(value = "时间")
        String time;

        @ApiModelProperty(value = "交通指数")
        Double index;
    }
}


