package net.wanji.web.vo.situationDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/10/27 9:41
 */
@Data
@ApiModel(value = "VehicleTraceOutVO", description = "查询图层-视频设备信息及状态返回值")
public class VideoDeviceInfoOutVO {
    @ApiModelProperty(value = "设备编号")
    String code;

    @ApiModelProperty(value = "设备名称")
    String name;

    @ApiModelProperty(value = "状态：0离线；1在线")
    String status;

    @ApiModelProperty(value = "安装位置（经纬度）")
    String location;
}
