package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/8 15:20
 */
@Data
@ApiModel(value = "CrossListOutVO", description = "查询快速特勤-路口列表返回值")
public class CrossListOutVO {
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;

    @ApiModelProperty(value = "序号",notes = "")
    private Integer sort ;

    @ApiModelProperty(value = "路口名称",notes = "")
    private String name ;

    @ApiModelProperty(value = "路口经度",notes = "")
    private Double longitude ;

    @ApiModelProperty(value = "路口纬度",notes = "")
    private Double latitude ;

    @ApiModelProperty(value = "执行状态：1成功；0失败",notes = "")
    private Integer status ;

    @ApiModelProperty(value = "控制方向",notes = "")
    private String dirAndTurn ;

    @ApiModelProperty(value = "RID 空间对象",notes = "")
    private String wkt ;
}
