package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/9 17:21
 */
@NoArgsConstructor
@Data
@ApiModel(value = "GroupListVO")
public class GroupListVO {
    @ApiModelProperty(value = "特勤ID",notes = "")
    private Integer specialServiceId;
    private List<GroupListElement> groupList;

    @NoArgsConstructor
    @Data
    public static class GroupListElement {
        @ApiModelProperty(value = "分组名称",notes = "")
        private String groupName;
        @ApiModelProperty(value = "wkt",notes = "")
        private String wkt;
        private List<SpecialServiceDetailVO.CrossListElement> crossList;
    }
}
