package net.wanji.web.vo.specialService;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/8 13:07
 */
@Data
@ApiModel(value = "ListSpecialServicesVO", description = "查询快速特勤-特勤列表返回值")
public class ListSpecialServicesVO {
    @ApiModelProperty(value = "特勤ID",notes = "")
    private Integer id ;
    @ApiModelProperty(value = "特勤名称",notes = "")
    private String name ;
    @ApiModelProperty(value = "特勤状态：1执行；0未执行",notes = "")
    private Integer status = 0 ;
    @ApiModelProperty(value = "执行时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    Date gmtModified;
    @ApiModelProperty(value = "关联车辆")
    String plateNum;
}
